## apertium-sme-nob 0.6.0~r61921

=== WER/Makefile ===
# See http://wiki.apertium.org/wiki/Evaluation for apertium-eval-translator
# Requires GNU Make (uses pattern rules)

LANG1=sme
LANG2=nob
PREFIX1=$(LANG1)-$(LANG2)
PREFIX2=$(LANG2)-$(LANG1)

# Redo the WER test if any of these files change: 
# (is there a simpler way to test if a Makefile.am has run?)
TRANSLATOR = \
	../$(PREFIX1).automorf.hfst.ol \
	../$(PREFIX1).rlx.bin \
	../$(PREFIX1).prob \
	../$(PREFIX1).lex.bin \
	../$(PREFIX1).autobil.bin \
	../apertium-$(PREFIX1).$(PREFIX1).t1x \
	../apertium-$(PREFIX1).$(PREFIX1).t2x \
	../apertium-$(PREFIX1).$(PREFIX1).t3x \
	../apertium-$(PREFIX1).$(PREFIX1).t4x \
	../$(PREFIX1).t1x.bin \
	../$(PREFIX1).t2x.bin \
	../$(PREFIX1).t3x.bin \
	../$(PREFIX1).t4x.bin \
	../$(PREFIX1).autogen.bin \
	../$(PREFIX1).mode

MT := $(patsubst %.$(LANG1),%.MT,$(wildcard *.$(LANG1)))

%.MT : %.$(LANG1) $(TRANSLATOR)
	apertium -d .. $(PREFIX1) < $< > $@

results := $(patsubst %.$(LANG1),%.res,$(wildcard *.$(LANG1)))

%.res : %.MT
	apertium-eval-translator -t $< -r $(patsubst %.res,%.$(LANG2),$@) > $@


all : $(results) allbeam


allMT : $(MT)
	@cat $(MT) > allMT

allbeam : allMT $(MT)
	@echo ""
	@echo "Running beam search (n=5) on all translations"
	@echo "(use 'make allres' to eval everything with full search, takes a while)"
	@cat $(patsubst %.MT,%.$(LANG2),$(MT)) > all$(LANG2)
	@cat $(patsubst %.MT,%.$(LANG1),$(MT)) > all$(LANG1)
	apertium-eval-translator -t allMT -r all$(LANG2) -b 5 > $@

allres : allMT $(MT)
	@echo "Full evaluation of all files, this takes a while..."
	@cat $(patsubst %.MT,%.$(LANG2),$(MT)) > all$(LANG2)
	@cat $(patsubst %.MT,%.$(LANG1),$(MT)) > all$(LANG1)
	apertium-eval-translator -t allMT -r all$(LANG2) > $@

=== gisting-eval/Makefile ===
# Copy-pasted from "Recursive Make Considered Harmful":
MODULES = abc fyll_inn generated
all:
	for dir in $(MODULES); do \
		(cd $$dir; ${MAKE} all); \
	done

=== paper/Makefile ===
TARGET=sme-nob
all: $(TARGET).tgz


CSLIDEPS=cslipubs.sty cslipubs-extra.sty cslipubs-natbib.bst
cslipubscollection.tar.gz:
	wget "http://cslipublications.stanford.edu/ftp-pub/publications/latex-package/latex2e-native/cslipubscollection.tar.gz" -O $@
cslipubscollection: cslipubscollection.tar.gz
	tar xzvf $<
	touch cslipubscollection
cslipubs.sty: cslipubscollection
	cp cslipubscollection/$@ $@
cslipubs-extra.sty: cslipubscollection
	cp cslipubscollection/$@ $@
cslipubs-natbib.bst: cslipubscollection
	cp cslipubscollection/$@ $@


architecture.pdf: architecture.obj
	tgif -print -eps $<
	epstopdf architecture.eps


$(TARGET).pdf: $(TARGET).tex apertium.bib architecture.pdf $(CSLIDEPS)
	latex -halt-on-error $(TARGET)
	bibtex               $(TARGET)
	makeindex            $(TARGET)
	latex -halt-on-error $(TARGET)
	latex -halt-on-error $(TARGET)
	makeindex            $(TARGET)
	latex -halt-on-error $(TARGET)
	pdflatex             $(TARGET)

clean:
	rm -f $(TARGET).{ilg,dvi.blg,log,aux,bbl,idx,ind}

veryclean: clean
	rm -rf cslipubscollection $(TARGET).pdf architecture.pdf $(CSLIDEPS)


$(TARGET).tgz: $(TARGET).pdf $(TARGET).tex apertium.bib  architecture.obj architecture.eps architecture.pdf Makefile
	tar czvf $@ --numeric-owner -C .. paper/$(TARGET).pdf paper/$(TARGET).tex paper/apertium.bib paper/architecture.obj paper/architecture.eps paper/architecture.pdf paper/Makefile 
# -C .. is such a hack, can't tar add a fake root dir to avoid tarbombing? 


getbib:
	wget "http://bibsonomy.org/bib/user/unhammer/apertium?bibtex.entriesPerPage=100" -O apertium.bib
	touch apertium.bib

PHONY : ps all clean veryclean getbib

=== dev/lex-tools/Makefile ===
CORPUS=forvaltningsordbok
LANG1=sme
LANG2=nob
PAIRNAME=apertium-sme-nob
DIR=/l/s
CLEANCORPUS=$(HOME)/src/smt/mosesdecoder/scripts/training/clean-corpus-n.perl
TRAINMODEL=$(HOME)/src/smt/mosesdecoder/scripts/training/train-model.perl
GIZADIR=$(HOME)/src/smt/local/bin
LEXTOOLSDIR=$(HOME)/src/apertium/trunk/apertium-lex-tools
TESTINGPCT=5
PYTHON2=python2
PYTHON3=python3
CRISPHOLD=1.5
# CRISPiness thresHOLD is how many times you see the alternative translation compared to the default (used by ngram-count-patterns.py, ngrams-to-rules.py)


all:    $(CORPUS).ngrams.$(LANG1)-$(LANG2).lrx \
	testing/$(CORPUS).lines testing/$(CORPUS).tagged.$(LANG1) testing/$(CORPUS).tagged.$(LANG2) testing/$(CORPUS).biltrans.$(LANG1)-$(LANG2)




# Clean corpus:
$(CORPUS).clean.$(LANG2): $(CORPUS).clean.$(LANG1)
# (below goal creates above goal too)
$(CORPUS).clean.$(LANG1):
	perl $(CLEANCORPUS) $(CORPUS) $(LANG1) $(LANG2) $(CORPUS).clean 1 40



# Run analysis up to pretransfer:
$(CORPUS).tagged0.$(LANG1): $(CORPUS).clean.$(LANG1)
	<$< apertium-destxt|awk '/^]./{printf(NR)} //{print}'|apertium -f none -d $(DIR) $(LANG1)-$(LANG2)-pretransfer > $@

$(CORPUS).tagged0.$(LANG2): $(CORPUS).clean.$(LANG2)
	<$< apertium-destxt|awk '/^]./{printf(NR)} //{print}'|apertium -f none -d $(DIR) $(LANG2)-$(LANG1)-pretransfer > $@

# One file might have inserted or deleted some line breaks; to find the first line number where the tagged0 files diverge:
# paste <(cut -d']' -f1 forvaltningsordbok.tagged0.nob) <(cut -d']' -f1 forvaltningsordbok.tagged0.sme) |awk -F'\t' '$1 != $2'|head

$(CORPUS).lines0: $(CORPUS).tagged0.$(LANG1) $(CORPUS).tagged0.$(LANG2)
	@test `wc -l <$(CORPUS).tagged0.$(LANG1)` = `wc -l <$(CORPUS).tagged0.$(LANG2)` || ( echo "$^ do not line up:"; wc -l $^; exit 1; )
	seq 1 `wc -l <$(CORPUS).tagged0.$(LANG1)` >$@


# Grep out only lines that have analyses:
$(CORPUS).lines1:      $(CORPUS).lines0 $(CORPUS).tagged0.$(LANG1) $(CORPUS).tagged0.$(LANG2)
	paste $+ | grep '<' | cut -f1 > $@
$(CORPUS).tagged1.$(LANG1): $(CORPUS).lines0 $(CORPUS).tagged0.$(LANG1) $(CORPUS).tagged0.$(LANG2)
	paste $+ | grep '<' | cut -f2 > $@
$(CORPUS).tagged1.$(LANG2): $(CORPUS).lines0 $(CORPUS).tagged0.$(LANG1) $(CORPUS).tagged0.$(LANG2)
	paste $+ | grep '<' | cut -f3 > $@


$(LANG1)-$(LANG2).autobil-LS.bin: $(DIR)/$(PAIRNAME).$(LANG1)-$(LANG2).dix
	lt-comp lr $< $@
# Run bilingual analyses on remaining lines:
$(CORPUS).biltrans1.$(LANG1)-$(LANG2): $(CORPUS).tagged1.$(LANG1) $(LANG1)-$(LANG2).autobil-LS.bin
	<$< lt-proc -b $(LANG1)-$(LANG2).autobil-LS.bin > $@



# Split into testing and training:
testing/.d:
	if [ ! -d testing ]; then mkdir testing; fi
	touch $@
.PRECIOUS: testing/.d

testing/$(CORPUS).lines: $(CORPUS).lines1 testing/.d
	./pct-split tail $(TESTINGPCT) $< > $@
testing/$(CORPUS).tagged.$(LANG1): $(CORPUS).tagged1.$(LANG1) testing/.d
	./pct-split tail $(TESTINGPCT) $< > $@
testing/$(CORPUS).tagged.$(LANG2): $(CORPUS).tagged1.$(LANG2) testing/.d
	./pct-split tail $(TESTINGPCT) $< > $@
testing/$(CORPUS).biltrans.$(LANG1)-$(LANG2): $(CORPUS).biltrans1.$(LANG1)-$(LANG2) testing/.d
	./pct-split tail $(TESTINGPCT) $< > $@

$(CORPUS).lines: $(CORPUS).lines1
	./pct-split head $(TESTINGPCT) $< > $@
$(CORPUS).tagged.$(LANG1): $(CORPUS).tagged1.$(LANG1)
	./pct-split head $(TESTINGPCT) $< > $@
$(CORPUS).tagged.$(LANG2): $(CORPUS).tagged1.$(LANG2)
	./pct-split head $(TESTINGPCT) $< > $@
$(CORPUS).biltrans.$(LANG1)-$(LANG2): $(CORPUS).biltrans1.$(LANG1)-$(LANG2)
	./pct-split head $(TESTINGPCT) $< > $@


# Tokenise into moses format, and do some tag replacements to increase lemma-frequency a bit:
$(CORPUS).tag-tok.$(LANG1): $(CORPUS).tagged.$(LANG1)
	<$< $(PYTHON2) $(LEXTOOLSDIR)/scripts/process-tagger-output.py $(LANG1) >$@ || (rm $@; exit 1)
$(CORPUS).tag-tok.$(LANG2): $(CORPUS).tagged.$(LANG2)
	<$< $(PYTHON2) $(LEXTOOLSDIR)/scripts/process-tagger-output.py $(LANG2) >$@ || (rm $@; exit 1)
$(CORPUS).biltrans-tok.$(LANG1)-$(LANG2): $(CORPUS).biltrans.$(LANG1)-$(LANG2)
	<$< $(PYTHON2) $(LEXTOOLSDIR)/scripts/process-biltrans-output.py >$@ || (rm $@; exit 1)

# Clean corpus yet again before trainmodel:
$(CORPUS).tag-tok-clean.lines: $(CORPUS).tag-tok-clean.$(LANG1)
$(CORPUS).tag-tok-clean.$(LANG2): $(CORPUS).tag-tok-clean.$(LANG1)
# (below goal creates above goal too)
$(CORPUS).tag-tok-clean.$(LANG1): $(CORPUS).tag-tok.$(LANG1) $(CORPUS).tag-tok.$(LANG2)
	perl $(CLEANCORPUS) $(CORPUS).tag-tok $(LANG1) $(LANG2) $(CORPUS).tag-tok-clean 1 40 $(CORPUS).tag-tok-clean.lines

$(CORPUS).biltrans-tok-clean.$(LANG1)-$(LANG2): $(CORPUS).biltrans-tok.$(LANG1)-$(LANG2) $(CORPUS).tag-tok-clean.lines
	$(PYTHON3) $(LEXTOOLSDIR)/scripts/biltrans-only-retained.py $+ >$@ || (rm $@; exit 1)


# Fake lm, won't be used:
$(CORPUS).lm:
	echo "" > $@
	echo "\\data\\" >> $@
	echo "ngram 1=1" >>$@
	echo "" >> $@
	echo "\\1-grams:" >>$@
	echo "-2.701261	.	-1.861745" >>$@
	echo "" >> $@
	echo "\\end\\" >> $@

model/moses.ini: $(CORPUS).lm $(CORPUS).tag-tok-clean.$(LANG1) $(CORPUS).tag-tok-clean.$(LANG2)
	perl $(TRAINMODEL) -external-bin-dir $(GIZADIR) -root-dir . -corpus $(CORPUS).tag-tok-clean -f $(LANG1) -e $(LANG2) -alignment grow-diag-final-and -reordering msd-bidirectional-fe -lm "0:5:`pwd`/$(CORPUS).lm:0" >trainmodel.log 2>&1


$(CORPUS).phrasetable.$(LANG1)-$(LANG2): giza.$(LANG1)-$(LANG2)/$(LANG1)-$(LANG2).A3.final.gz model/moses.ini
	zcat $< | $(LEXTOOLSDIR)/scripts/giza-to-moses.awk > $@
# should be the same number of lines as *tok-clean


# Then we want to extract the sentences where the target language word aligned to a source language word is a possible translation in the bilingual dictionary:

$(CORPUS).candidates.$(LANG1)-$(LANG2): $(CORPUS).phrasetable.$(LANG1)-$(LANG2) $(CORPUS).biltrans-tok-clean.$(LANG1)-$(LANG2) 
	$(PYTHON3) $(LEXTOOLSDIR)/scripts/extract-sentences.py $+ >$@ 2>$@.err || (rm $@; exit 1)


# These are basically sentences that we can hope that Apertium might be able to generate.
# [endre] Extract frequency lexicon

# The next step is to extract the frequency lexicon.

$(CORPUS).lex.$(LANG1)-$(LANG2): $(CORPUS).candidates.$(LANG1)-$(LANG2)
	$(PYTHON2) $(LEXTOOLSDIR)/scripts/extract-freq-lexicon.py $< > $@ || (rm $@; exit 1)

# This file should look like:

# $ cat europarl.lex.en-es  | head 
# 31381 union<n> unión<n> @
# 101 union<n> sindicato<n>
# 1 union<n> situación<n>
# 1 union<n> monetario<adj>
# 4 slope<n> pendiente<n> @
# 1 slope<n> ladera<n>

# Where the highest frequency translation is marked with an @.

# Note: This frequency lexicon can be used as a substitute for "choosing the most general translation" in your bilingual dictionary.


# Now we generate the ngrams that we are going to generate the rules from.
$(CORPUS).ngrams.$(LANG1)-$(LANG2): $(CORPUS).lex.$(LANG1)-$(LANG2) $(CORPUS).candidates.$(LANG1)-$(LANG2)
	$(PYTHON2) $(LEXTOOLSDIR)/scripts/ngram-count-patterns.py $+ $(CRISPHOLD) >$@ 2>$@.err || (rm $@; exit 1)

# This script outputs lines in the following format:

# -language<n>	and<cnjcoo> language<n> ,<cm>	lengua<n>	2
# +language<n>	plain<adj> language<n> ,<cm>	lenguaje<n>	3
# -language<n>	language<n> knowledge<n>	lengua<n>	4
# -language<n>	language<n> of<pr> communication<n>	lengua<n>	3
# -language<n>	Community<adj> language<n> .<sent>	lengua<n>	5
# -language<n>	language<n> in~addition~to<pr> their<det><pos>	lengua<n>	2
# -language<n>	every<det><ind> language<n>	lengua<n>	2
# +language<n>	and<cnjcoo> *understandable language<n>	lenguaje<n>	2
# -language<n>	two<num> language<n>	lengua<n>	8
# -language<n>	only<adj> official<adj> language<n>	lengua<n>	2

# The + and - indicate if this line chooses the most frequent transation (-) or a translation which is not the most frequent (+). The pattern selecting the translation is then shown, followed by the translation and then the frequency.


# You can, optionally, manually filter
# $(CORPUS).ngrams.$(LANG1)-$(LANG2), for example by removing rules
# with conjunctions, or removing rules with unknown words.


# The final stage is to generate the rules,

$(CORPUS).ngrams.$(LANG1)-$(LANG2).lrx: $(CORPUS).ngrams.$(LANG1)-$(LANG2)
	$(PYTHON3) $(LEXTOOLSDIR)/scripts/ngrams-to-rules.py $< $(CRISPHOLD) >$@ 2>$@.err || ( rm $@; exit 1)

=== gisting-eval/abc/Makefile ===
spml.php: batch1.spmlsvar spmlsvar-to-php.awk
	awk -f spmlsvar-to-php.awk $< > $@

all: spml.php

=== gisting-eval/generated/Makefile ===
CORPUS=laws

all: gists.php

apertium-cleanstream: apertium-cleanstream.cc
	g++ $< -o $@

nob-sme.automorf.bin: ../../apertium-sme-nob.nob.dix
	lt-comp lr $< $@

$(CORPUS).nob.analyses: $(CORPUS).nob nob-sme.automorf.bin apertium-cleanstream
	apertium-destxt < $< | lt-proc -zwe nob-sme.automorf.bin | ./apertium-cleanstream -n | grep -F '^' > $@

$(CORPUS).MT: $(CORPUS).nobsme
	cut -f2 $< | apertium -u -d ../.. sme-nob > $@

$(CORPUS).nob: $(CORPUS).nobsme
	cut -f1 $< > $@

$(CORPUS).sme: $(CORPUS).nobsme
	cut -f2 $< > $@

gists.php:      randomise-create-phpgists.py $(CORPUS).nob.analyses $(CORPUS).nob $(CORPUS).sme $(CORPUS).MT
	python2 randomise-create-phpgists.py $(CORPUS).nob.analyses $(CORPUS).nob $(CORPUS).sme $(CORPUS).MT > $@

=== paper/talk/Makefile ===
TARGET=smenob_talk

# make pdf by default
all: ${TARGET}.pdf

# it doesn't really need the .dvi, but this way all the refs are right
%.pdf : ${TARGET}.tex
	@pdflatex $*
# no bibliography, so using tex instead of dvi here:
#%.dvi

${TARGET}.bbl: ../apertium.bib
# in case we don't already have a .aux file listing citations
# this should probably be a separate makefile target/dependency instead
# of doing it every time... but *shrug*
	@latex -halt-on-error ${TARGET}.tex
# get the citations out of the bibliography
	@bibtex ${TARGET}
# do it again in case there are out-of-order cross-references
	@latex -halt-on-error ${TARGET}.tex

${TARGET}.dvi: ${TARGET}.bbl ${TARGET}.tex
	@latex -halt-on-error ${TARGET}.tex

# shortcut, so we can say "make ps"
ps: ${TARGET}.ps

${TARGET}.ps: ${TARGET}.dvi
	@dvips -t a4 ${TARGET}.dvi

clean:
	rm -f ${TARGET}.{log,aux,ps,dvi,bbl,blg,log,snm,toc,vrb,out,nav}

reallyclean: clean
	rm -f ${TARGET}.{ps,pdf}


PHONY : ps all clean reallyclean getbib

=== debian/changelog ===
apertium-sme-nob (0.6.0~r61921-2) unstable; urgency=low

  * debian/control:
    + Updated Vcs-* URLs.
    + Updated Homepage.
    + Updated to Standards-Version 4.2.1
  * Updated debian/copyright URLs.
  * Bumped to dh 11.

 -- Kartik Mistry <kartik@debian.org>  Fri, 30 Nov 2018 19:57:38 +0530

apertium-sme-nob (0.6.0~r61921-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #814402)

 -- Kartik Mistry <kartik@debian.org>  Thu, 09 Jun 2016 21:57:45 +0530

=== debian/control ===
Source: apertium-sme-nob
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.5),
               apertium-nob,
               cg3,
               debhelper (>= 11),
               gawk,
               giella-sme,
               giella-sme-dev,
               hfst,
               pkg-config (>= 0.21)
Standards-Version: 4.2.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-sme-nob.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-sme-nob

Package: apertium-sme-nob
Architecture: all
Depends: apertium (>= 3.5), cg3, hfst, ${misc:Depends}, ${shlibs:Depends}
Provides: apertium-nob-sme
Conflicts: apertium-nob-sme
Description: Apertium translation data for the Northern Sami-Norwegian Bokmål pair
 Data package providing Apertium language resources for translating
 between the Northern Sami and Norwegian Bokmål languages.

=== debian/watch ===
version=3
opts=filenamemangle=s/\S*download=//g \
https://qa.debian.org/cgi-bin/fakeupstream.cgi?upstream=sf/apertium/apertium-sme-nob \
.*=apertium-sme-nob(?:[_\-]v?|)(\d[^\s/]*)\.(?:tar\.xz|txz|tar\.bz2|tbz2|tar\.gz|tgz)

## apertium-sme-nob 0.6.1+ds.1

=== giella-sme-0.1.0/test/data/testing-from-old-infra/Makefile ===
#!/usr/bin/make
#
# This is a makefile to automatise most of the testing.
# It is language independent within the framework of the Sámi language
# technology project. See further user documentation (and technical as well)
# in $CVSROOT/gt/doc/ling/docu-testing.html

# VARIABLE DEFINITIONS
# ====================

# Tools used when compiling
XFST = xfst -utf8

# Where all the perl scripts are:
BINDIR = ../../script/testing

# Directory where all the compiled fst's are:
FSTDIR = ../bin

DIALOGUE = GG

# Directory for the source files (which compile into fst's):
# Changed this to point into the directory where the common makefile is:
SRCDIR = ../../

# The temp directory:
TEMP = ../../tmp

# We define the default paradigm generation type:
PARATYPE=default

# Default POS:
POS=n

# The temp directories for the generated paradigms:
GEN_TMP = Gen_tmp
PARA_TMP = Para_tmp

TYPEPREF=

ifeq ($(strip $(PARATYPE)),dict)
TYPEPREF = dict-
endif

ifeq ($(strip $(PARATYPE)),oahpa)
TYPEPREF = oahpa-
endif

# This variable is holding the filename of the save file:
# (makes the Makefile truly language independent for
# the Sami languages)
SAVEFILE = $(wildcard $(FSTDIR)/ism?-norm.fst)
#SAVEFILE = $(wildcard $(FSTDIR)/ism?-$(DIALOGUE).restr.fst)

SAVEFILE = $(wildcard $(FSTDIR)/$(TYPEPREF)is??-norm.fst)

# The savetarget is derived from the savefile:
SAVETARGET=`basename $(SAVEFILE)`

# Where to find the paradigm codes:
codesdir=codes/$(PARATYPE)

# Copied from old LS makefile:
# Bond, James Bond
UMASK=umask 007

# Empty variable to be overridden by the user when
# generating paradigms:
WORD =

# These variables define  the relationship between the source files
# and the final output files (the reports), such that one can con-
# struct a list of targets for the main target
NGenFiles := $(patsubst %.txt,%.greport,$(wildcard n-*.txt))
NAnaFiles := $(patsubst %.txt,%.areport,$(wildcard n-*.txt))
VGenFiles := $(patsubst %.txt,%.greport,$(wildcard v-*.txt))
VAnaFiles := $(patsubst %.txt,%.areport,$(wildcard v-*.txt))
AGenFiles := $(patsubst %.txt,%.greport,$(wildcard a-*.txt))
AAnaFiles := $(patsubst %.txt,%.areport,$(wildcard a-*.txt))


# MAJOR TARGETS, HOUSEKEEPING TARGETS
# ===================================

# Default target:
# Remove the comments in front of the verb and adjective
# targets when you have codes and test cases for them
.PHONY: all

all: twol-test

#all: n-g.summary \
#	 n-a.summary \
#	 v-g.summary \
#	 v-a.summary \
#	 num-a.summary \
#	 num-g.summary
#	 a-g.summary \
#	 a-a.summary

# If you only want to test nouns:
.PHONY: all-n
all-n: POS=n
all-n: n-g.summary n-a.summary

# If you only want to test verbs:
.PHONY: all-v
all-v: v-g.summary v-a.summary

# If you only want to test adjectives:
.PHONY: all-a
all-a: a-g.summary a-a.summary

# If you only want to test numerals:
.PHONY: all-num
all-num: num-g.summary num-a.summary

paradigm: $(POS)-paradigm

# If you only want to test verbal generation, use v-g.summary
# as target. Etc. for the other cases. And do you only want to
# test a specific word or inflection class, type the name of
# the file containing the infl. word, but replace the suffix
# .txt with .greport for generation, and .areport for analysis.


# POS SPECIFIC SECTIONS
# =====================

# NOUNS
# =====

# Create all the noun test file bases:
$(POS)-%.testbase: $(POS)-%.txt $(codesdir)/$(POS)-codes.txt
	@echo
	@echo "*** Creating the test base for $(POS)-$*.txt ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNforms.pl $(codesdir)/$(POS)-codes.txt $< > $@
	@chmod 660 $@

# Finally, we concatenate all *.greports
$(POS)-g.summary: $(NGenFiles)
	@cat $^ > $@
	@echo
	@echo "*** All $(POS) word form generation testing is done.      ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Finally, we concatenate all *.areports:
$(POS)-a.summary: $(NAnaFiles)
	@cat $^ > $@
	@echo
	@echo "*** All $(POS) word form analysis testing is done.        ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Create noun paradigm generation input file:
$(POS)-para.ptest: $(codesdir)/$(POS)-codes.txt
	@echo
	@echo "*** Creating the $(POS) paradigm input file for '$(WORD)' ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNword.pl $< $(WORD) > $@
	@chmod 660 $@

# Paradigm generation:
.PHONY: $(POS)-paradigm
$(POS)-paradigm: $(POS)-para.ptest savefile
	@echo
	@echo "*** Running the paradigm generator for '$(WORD)' ***"
	@echo
	@if [ ! -d "$(GEN_TMP)/$(PARA_TMP)/" ]; then mkdir -p "$(GEN_TMP)/$(PARA_TMP)"; fi
	@printf "load $(SAVEFILE) \n\
	apply up < $< \n\
	quit \n" > $(TEMP)/$@-gtest-script
	$(XFST) < $(TEMP)/$@-gtest-script > $(GEN_TMP)/$(PARA_TMP)/$(WORD)_n.paradigm
	@rm -f $(TEMP)/$@-gtest-script
	@rm -f $<
#	@less $(GEN_TMP)/$(PARA_TMP)/$(WORD)_n.paradigm


# VERBS
# =====

# Create all the verb test file bases:
v-%.testbase: v-%.txt $(codesdir)/v-codes.txt
	@echo
	@echo "*** Creating the test base for v-$*.txt ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNforms.pl $(codesdir)/v-codes.txt $< > $@
	@chmod 660 $@

# Finally, we concatenate all *.greports:
v-g.summary: $(VGenFiles)
	@cat $^ > $@
	@echo
	@echo "*** All verb word form generation testing is done.      ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Finally, we concatenate all *.areports:
v-a.summary: $(VAnaFiles)
	@cat $^ > $@
	@echo
	@echo "*** All verb word form analysis testing is done.        ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Create verb paradigm generation input file:
v-para.ptest: $(codesdir)/v-codes.txt
	@echo
	@echo "*** Creating the verb paradigm input file for '$(WORD)' ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNword.pl $< $(WORD) > $@
	@chmod 660 $@

# Paradigm generation:
v-paradigm: v-para.ptest savefile
	@echo
	@echo "*** Running the paradigm generator for '$(WORD)' ***"
	@echo
	@printf "load $(SAVEFILE) \n\
	apply up < $< \n\
	quit \n" > $(TEMP)/$@-gtest-script
	$(XFST) < $(TEMP)/$@-gtest-script > $(GEN_TMP)/$(PARA_TMP)/$(WORD)_v.paradigm
	@rm -f $(TEMP)/$@-gtest-script
	@rm -f $<
#	@less $(GEN_TMP)/$(PARA_TMP)/$(WORD)_v.paradigm


# ADJECTIVES
# ==========

# Create all the adjective test file bases:
a-%.testbase: a-%.txt $(codesdir)/a-codes.txt
	@echo
	@echo "*** Creating the test base for $(POS)-$*.txt ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNforms.pl $(codesdir)/a-codes.txt $< > $@
	@chmod 660 $@

# Finally, we concatenate all *.greports:
$(POS)-g.summary: $(AGenFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form generation testing is done.      ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Finally, we concatenate all *.areports:
$(POS)-a.summary: $(AAnaFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form analysis testing is done.        ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Create adjective paradigm generation input file:
a-para.ptest: $(codesdir)/a-codes.txt
	@echo
	@echo "*** Creating the $(POS) paradigm input file for '$(WORD)' ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNword.pl $< $(WORD) > $@
	@chmod 660 $@

# Paradigm generation:
.PHONY: $(POS)-paradigm
$(POS)-paradigm: $(POS)-para.ptest savefile
	@echo
	@echo "*** Running the paradigm generator for '$(WORD)' ***"
	@echo
	@printf "load $(SAVEFILE) \n\
	apply up < $< \n\
	quit \n" > $(TEMP)/$@-gtest-script
	$(XFST) < $(TEMP)/$@-gtest-script > $(GEN_TMP)/$(PARA_TMP)/$(WORD)_a.paradigm
	@rm -f $(TEMP)/$@-gtest-script
	@rm -f $<
#	@less $(GEN_TMP)/$(PARA_TMP)/$(WORD)_a.paradigm


# NUMERALS
# ========

# Create all the noun test file bases:
num-%.testbase: num-%.txt $(codesdir)/num-codes.txt
	@echo
	@echo "*** Creating the test base for num-$*.txt ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNforms.pl $(codesdir)/num-codes.txt $< > $@
	@chmod 660 $@

# Finally, we concatenate all *.greports
num-g.summary: $(NGenFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form generation testing is done.      ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Finally, we concatenate all *.areports:
num-a.summary: $(NAnaFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form analysis testing is done.        ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Create noun paradigm generation input file:
num-para.ptest: $(codesdir)/num-codes.txt
	@echo
	@echo "*** Creating the noun paradigm input file for '$(WORD)' ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNword.pl $< $(WORD) > $@
	@chmod 660 $@

# Paradigm generation:
.PHONY: num-paradigm
num-paradigm: num-para.ptest savefile
	@echo
	@echo "*** Running the paradigm generator for '$(WORD)' ***"
	@echo
	@printf "load $(SAVEFILE) \n\
	apply up < $< \n\
	quit \n" > $(TEMP)/$@-gtest-script
	$(XFST) < $(TEMP)/$@-gtest-script > $(GEN_TMP)/$(PARA_TMP)/$(WORD)_num.paradigm
	@rm -f $(TEMP)/$@-gtest-script
	@rm -f $<
#	@less $(GEN_TMP)/$(PARA_TMP)/$(WORD)_num.paradigm


# PROPER NOUNS
# ============

# Create all the proper noun test file bases:
prop-%.testbase: prop-%.txt $(codesdir)/prop-codes.txt
	@echo
	@echo "*** Creating the test base for prop-$*.txt ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNforms.pl $(codesdir)/prop-codes.txt $< > $@
	@chmod 660 $@

# Finally, we concatenate all *.greports
prop-g.summary: $(NGenFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form generation testing is done.      ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Finally, we concatenate all *.areports:
prop-a.summary: $(NAnaFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form analysis testing is done.        ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Create noun paradigm generation input file:
prop-para.ptest: $(codesdir)/prop-codes.txt
	@echo
	@echo "*** Creating the noun paradigm input file for '$(WORD)' ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNword.pl $< $(WORD) > $@
	@chmod 660 $@

# Paradigm generation:
.PHONY: prop-paradigm
prop-paradigm: prop-para.ptest savefile
	@echo
	@echo "*** Running the paradigm generator for '$(WORD)' ***"
	@echo
	@printf "load $(SAVEFILE) \n\
	apply up < $< \n\
	quit \n" > $(TEMP)/$@-gtest-script
	$(XFST) < $(TEMP)/$@-gtest-script > $(GEN_TMP)/$(PARA_TMP)/$(WORD)_prop.paradigm
	@rm -f $(TEMP)/$@-gtest-script
	@rm -f $<
#	@less $(GEN_TMP)/$(PARA_TMP)/$(WORD)_prop.paradigm


# ACTOR NOUNS
# ============

# Create all the actor noun test file bases:
actor-%.testbase: actor-%.txt $(codesdir)/actor-codes.txt
	@echo
	@echo "*** Creating the test base for actor-$*.txt ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNforms.pl $(codesdir)/actor-codes.txt $< > $@
	@chmod 660 $@

# Finally, we concatenate all *.greports
actor-g.summary: $(NGenFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form generation testing is done.      ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Finally, we concatenate all *.areports:
actor-a.summary: $(NAnaFiles)
	@cat $^ > $@
	@echo
	@echo "*** All noun word form analysis testing is done.        ***"
	@echo "*** The concatenated reports are stored in $@. ***"
	@echo
#	@less $@

# Create noun paradigm generation input file:
actor-para.ptest: $(codesdir)/actor-codes.txt
	@echo
	@echo "*** Creating the noun paradigm input file for '$(WORD)' ***"
	@echo
	@rm -f $@
	$(UMASK) && \
	$(BINDIR)/merge-codesNword.pl $< $(WORD) > $@
	@chmod 660 $@

# Paradigm generation:
.PHONY: actor-paradigm
actor-paradigm: actor-para.ptest savefile
	@echo
	@echo "*** Running the paradigm generator for '$(WORD)' ***"
	@echo
	@printf "load $(SAVEFILE) \n\
	apply up < $< \n\
	quit \n" > $(TEMP)/$@-gtest-script

=== debian/changelog ===
apertium-sme-nob (0.6.1+ds.1-2) unstable; urgency=medium

  * Bump urgency to medium.

 -- Kartik Mistry <kartik@debian.org>  Fri, 05 Feb 2021 11:40:02 +0530

apertium-sme-nob (0.6.1+ds.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Repackaged source to remove wayward symbolic links.
  * Updated debian/watch to include dversionmangle.

 -- Kartik Mistry <kartik@debian.org>  Wed, 03 Feb 2021 17:04:46 +0530

apertium-sme-nob (0.6.1-1) unstable; urgency=low

  [ Tino Didriksen ]
  * New upstream release:
    + Bundles giella-core 0.3.7 (r186347), giella-common 0.1.7 (r186320),
      giella-sme 0.1.0 (r186483), and apertium-nob 1.1.0 now.
  * Added Salsa CI support.
  * debian/control:
    + Updated Standards-Version to 4.5.1
    + Switched to debhelper-compat.
    + Added 'Rules-Requires-Root' field.
  * Added upstream metadata file.

 -- Kartik Mistry <kartik@debian.org>  Tue, 22 Dec 2020 12:02:16 +0530

=== debian/control ===
Source: apertium-sme-nob
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.6.0),
               bc,
               cg3-dev,
               debhelper-compat (= 13),
               foma-bin,
               gawk,
               hfst,
               libhfst-dev,
               pkg-config,
               python3,
               python3-yaml,
               zip
Standards-Version: 4.5.1
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-sme-nob.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-sme-nob
Rules-Requires-Root: no

Package: apertium-sme-nob
Architecture: all
Depends: apertium (>= 3.6.0), cg3, hfst, ${misc:Depends}, ${shlibs:Depends}
Provides: apertium-nob-sme
Conflicts: apertium-nob-sme
Description: Apertium translation data for the Northern Sami-Norwegian Bokmål pair
 Data package providing Apertium language resources for translating
 between the Northern Sami and Norwegian Bokmål languages.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

NUMJOBS = 1
ifneq (,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
	NUMJOBS = $(patsubst parallel=%,%,$(filter parallel=%,$(DEB_BUILD_OPTIONS)))
endif

export GIELLA_CORE=$(CURDIR)/giella-core-0.3.7

export GIELLA_SHARED=$(CURDIR)/giella-common-0.1.7

%:
	dh $@ --with autoreconf

override_dh_auto_configure:
	cd $(CURDIR)/giella-common-0.1.7 && autoreconf -fi && ./configure && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/giella-core-0.3.7 && autoreconf -fi && ./configure && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/giella-sme-0.1.0 && autoreconf -fi && ./configure --with-hfst --without-xfst --enable-alignment --enable-reversed-intersect --enable-apertium --with-backend-format=foma --disable-analysers --disable-generators
	cd $(CURDIR)/apertium-nob-1.1.0 && autoreconf -fi && ./configure
	dh_auto_configure -- --with-lang1=$(CURDIR)/giella-sme-0.1.0/tools/mt/apertium --with-lang2=$(CURDIR)/apertium-nob-1.1.0

override_dh_auto_build:
	cd $(CURDIR)/giella-sme-0.1.0 && $(MAKE) -j$(NUMJOBS)
	cd $(CURDIR)/apertium-nob-1.1.0 && $(MAKE) -j$(NUMJOBS)
	dh_auto_build

override_dh_missing:
	dh_missing --fail-missing

=== debian/watch ===
version=4
opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)\.tar\.gz%apertium-sme-nob-$1.tar.gz%, dversionmangle=auto" \
  https://github.com/apertium/apertium-sme-nob/tags \
  (?:.*?/)?v?(\d[\d.]*)\.tar\.gz debian uupdate
